Configuration options for Vert.x hostname resolver. The resolver uses the local hosts file and performs DNS A and AAAA queries.

- `Anything`
  - `Object`
    - `Basic` ...and other supertypes
      - `AddressResolverOptions` ...and other supertypes

- `AddressResolverOptions`
  - `BaseDataObject`
  - `Basic`
    - `Identifiable`
    - `Object`
      - `Anything`

no subtypes hierarchy

Initializer
`AddressResolverOptions(Integer? cacheMaxTimeToLive = null, Integer? cacheMinTimeToLive = null, Integer? cacheNegativeTimeToLive = null, String? hostsPath = null, Integer? maxQueries = null, Integer? ndots = null, Boolean? optResourceEnabled = null, Integer? queryTimeout = null, Boolean? rdFlag = null, Boolean? rotateServers = null, {String*}? searchDomains = null, {String*}? servers = null)` Parameters: `cacheMaxTimeToLive = null` Set the cache maximum TTL value in seconds. After successful resolution IP addresses are cached with their DNS response TTL, use this to set a maximum value to all responses TTL. `cacheMinTimeToLive = null` Set the cache minimum TTL value in seconds. After resolution successful IP addresses are cached with their DNS response TTL, use this to set a minimum value to all responses TTL. `cacheNegativeTimeToLive = null` Set the negative cache TTL value in seconds. After a failed hostname resolution, DNS queries won't be retried for a period of time equals to the negative TTL. This allows to reduce the response time of negative replies and reduce the amount of messages to DNS servers. `hostsPath = null` Set the path of an alternate hosts configuration file to use instead of the one provided by the os. The default value is null, so the operating system hosts config is used. `maxQueries = null` Set the maximum number of queries when an hostname is resolved. `ndots = null` Set the ndots value used when resolving using search domains, the default value is `-1` which determines the value from the OS on Linux or uses the value `1`. `optResourceEnabled = null` Set to true to enable the automatic inclusion in DNS queries of an optional record that hints the remote DNS server about how much data the resolver can read per response. `queryTimeout = null` Set the query timeout in milliseconds, i.e the amount of time after a query is considered to be failed. `rdFlag = null` Set the DNS queries Recursion Desired flag value. `rotateServers = null` Set to `true` to enable round-robin selection of the dns server to use. It spreads the query load among the servers and avoids all lookup to hit the first server of the list. `searchDomains = null` Set the lists of DNS search domains. When the search domain list is null, the effective search domain list will be populated using the system DNS search domains. `servers = null` Set the list of DNS server addresses, an address is the IP of the dns server, followed by an optional colon and a port, e.g `8.8.8.8` or {code 192.168.0.1:40000}. When the list is empty, the resolver will use the list of the system DNS server addresses from the environment, if that list cannot be retrieved it will use Google's public DNS servers `“8.8.8.8”` and `“8.8.4.4”`.

Attributes
`cacheMaxTimeToLive` | `shared Integer? cacheMaxTimeToLive` Set the cache maximum TTL value in seconds. After successful resolution IP addresses are cached with their DNS response TTL, use this to set a maximum value to all responses TTL.
`cacheMinTimeToLive` | `shared Integer? cacheMinTimeToLive` Set the cache minimum TTL value in seconds. After resolution successful IP addresses are cached with their DNS response TTL, use this to set a minimum value to all responses TTL.
`cacheNegativeTimeToLive` | `shared Integer? cacheNegativeTimeToLive` Set the negative cache TTL value in seconds. After a failed hostname resolution, DNS queries won't be retried for a period of time equals to the negative TTL. This allows to reduce the response time of negative replies and reduce the amount of messages to DNS servers.
`hostsPath` | `shared String? hostsPath` Set the path of an alternate hosts configuration file to use instead of the one provided by the os. The default value is null, so the operating system hosts config is used.
`maxQueries` | `shared Integer? maxQueries` Set the maximum number of queries when an hostname is resolved.
`ndots` | `shared Integer? ndots` Set the ndots value used when resolving using search domains, the default value is `-1` which determines the value from the OS on Linux or uses the value `1`.
`optResourceEnabled` | `shared Boolean? optResourceEnabled` Set to true to enable the automatic inclusion in DNS queries of an optional record that hints the remote DNS server about how much data the resolver can read per response.
`queryTimeout` | `shared Integer? queryTimeout` Set the query timeout in milliseconds, i.e the amount of time after a query is considered to be failed.
`rdFlag` | `shared Boolean? rdFlag` Set the DNS queries Recursion Desired flag value.
`rotateServers` | `shared Boolean? rotateServers` Set to `true` to enable round-robin selection of the dns server to use. It spreads the query load among the servers and avoids all lookup to hit the first server of the list.
`searchDomains` | `shared {String*}? searchDomains` Set the lists of DNS search domains. When the search domain list is null, the effective search domain list will be populated using the system DNS search domains.
`servers` | `shared {String*}? servers` Set the list of DNS server addresses, an address is the IP of the dns server, followed by an optional colon and a port, e.g `8.8.8.8` or {code 192.168.0.1:40000}. When the list is empty, the resolver will use the list of the system DNS server addresses from the environment, if that list cannot be retrieved it will use Google's public DNS servers `“8.8.8.8”` and `“8.8.4.4”`.

Inherited Attributes
Attributes inherited from: `Object` `hash`, `string`

Methods
`toJson` | `shared actual default JsonObject toJson()` Refines `BaseDataObject.toJson`

Inherited Methods
Methods inherited from: `Object` `equals`
Methods inherited from: `BaseDataObject` `toJson`